Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

Sortie de PySide 1.0.9
Le binding Python de Qt améliore fortement le support de Python 3.2 par rapport à la version précédente

Le , par Jiyuu

0PARTAGES

0  0 
La nouvelle mouture de PySide vient de sortir. Cette version est à considérer comme une version de maintenance puisque qu'elle ne fait que corriger un certain nombre de bogues.

Lors de la sortie de PySide 1.0.8, l'équipe de développement de ce binding avait annoncé sa compatibilité avec Python 3.2. Malheureusement, quelques bogues empêchaient sa bonne compilation. Ces problèmes ont été corrigé et il est dorénavant possible de compiler ce binding pour la branche 3 de Python comme le montre l'image ci-dessous.



Pour ceux désireux de réaliser cette compilation, la marche à suivre est la même que celle proposée dans l'article traduit par Thibaut Cuvelier excepté pour le module shiboken pour lequel les commandes sont les suivantes :
Code : Sélectionner tout
1
2
3
4
5
6
mkdir build
cd build
cmake .. -DUSE_PYTHON3=ON
make
sudo make install
sudo ldconfig
À noter cependant, qu'au moment de rédiger ces quelques lignes notre équipe n'est pas encore parvenue à compiler cette version pour Python 3 sous Windows ou Mac OS X.

La liste des bogues corrigés est disponible sur le site officiel de PySide.

Une erreur dans cette actualité ? Signalez-le nous !